GNU bug report logs - #8426
Glyph and cursor problem with emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: matthew@HIDDEN; dated Tue, 5 Apr 2011 10:41:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 6 Apr 2011 15:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 06 11:15:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q7USL-00039m-9L
	for submit <at> debbugs.gnu.org; Wed, 06 Apr 2011 11:15:41 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1Q7USI-00039Z-N1
	for 8426 <at> debbugs.gnu.org; Wed, 06 Apr 2011 11:15:39 -0400
Received: from [87.198.55.209] (87-198-55-209.ptr.magnet.ie [87.198.55.209])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 97FE268502;
	Wed,  6 Apr 2011 16:15:32 +0100 (IST)
Message-ID: <4D9C8392.4040008@HIDDEN>
Date: Wed, 06 Apr 2011 16:15:30 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.15) Gecko/20110402 Icedove/3.1.9
MIME-Version: 1.0
To: matthew@HIDDEN
Subject: Re: bug#8426: Glyph and cursor problem with emacs
References: <4D9AE9A6.2010401@HIDDEN>
	<83sjtwvdo8.fsf@HIDDEN>	<4D9B4CA2.2040109@HIDDEN>
	<83r59gvclx.fsf@HIDDEN> <4D9C3D81.2090404@HIDDEN>
In-Reply-To: <4D9C3D81.2090404@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8426
Cc: 8426 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 06/04/11 11:16, Matthew Carey wrote:
> I have switched off compositing and the problem appears to go away.
>
> The machine is not identical to the one that does not have the problem in that
> though both are 64bit the problem box is a Thinkpad T61 (7959-CT0) which has:
>
> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
>
> So the question is: Is this a bug in the graphics driver or SuSE's packaging of
> the driver compositing software.
>

Well, a compositing manager is not card-specific... (can end up running 
some proportion of different code on different cards, though e.g. 
depending on shader capability level).   Looking through the intel 
driver bugzilla [1], there are various "odd display artifact" type bugs. 
If you wouldn't mind reporting the bug to them [2], they might be able 
to diagnose.

[1] 
https://bugs.freedesktop.org/buglist.cgi?query_format=advanced&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&component=Driver%2Fintel&product=xorg

[2] http://intellinuxgraphics.org/how_to_report_bug.html




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 6 Apr 2011 10:16:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 06 06:16:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q7Pmy-0003oz-Eo
	for submit <at> debbugs.gnu.org; Wed, 06 Apr 2011 06:16:40 -0400
Received: from igw2.ssl.co.uk ([84.12.148.82])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <matthew@HIDDEN>) id 1Q7Pmw-0003ok-Ji
	for 8426 <at> debbugs.gnu.org; Wed, 06 Apr 2011 06:16:39 -0400
Received: from windy.internal (windy.internal [172.25.0.122])
	by igw2.ssl.co.uk (8.14.4/8.14.4) with ESMTP id p36AGVR1015469;
	Wed, 6 Apr 2011 11:16:31 +0100
Received: from [172.25.1.40] (sredni-vashtar [172.25.1.40])
	by windy.internal (8.13.8/8.13.8) with ESMTP id p36AGVIN010776;
	Wed, 6 Apr 2011 11:16:31 +0100
Message-ID: <4D9C3D81.2090404@HIDDEN>
Date: Wed, 06 Apr 2011 11:16:33 +0100
From: Matthew Carey <matthew@HIDDEN>
Organization: System Simulation Ltd
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB;
	rv:1.9.2.14) Gecko/20110221 SUSE/3.1.8 Thunderbird/3.1.8
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8426: Glyph and cursor problem with emacs
References: <4D9AE9A6.2010401@HIDDEN> <83sjtwvdo8.fsf@HIDDEN>
	<4D9B4CA2.2040109@HIDDEN> <83r59gvclx.fsf@HIDDEN>
In-Reply-To: <83r59gvclx.fsf@HIDDEN>
X-Enigmail-Version: 1.1.2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8426
Cc: 8426 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: matthew@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

I have switched off compositing and the problem appears to go away.

The machine is not identical to the one that does not have the problem in that
though both are 64bit the problem box is a Thinkpad T61 (7959-CT0) which has:

Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller

So the question is: Is this a bug in the graphics driver or SuSE's packaging of
the driver compositing software.

On 05/04/11 18:20, Eli Zaretskii wrote:
>> Date: Tue, 05 Apr 2011 18:08:50 +0100
>> From: Matthew Carey <matthew@HIDDEN>
>> CC: 8426 <at> debbugs.gnu.org
>>
>> This is the output of C-u C-x =
>>
>>         character: i (105, #o151, #x69)
>> preferred charset: ascii (ASCII (ISO646 IRV))
>>        code point: 0x69
>>            syntax: w 	which means: word
>>          category: .:Base, a:ASCII, l:Latin, r:Roman
>>       buffer code: #x69
>>         file code: #x69 (encoded by coding system undecided-unix)
>>           display: by this font (glyph code)
>>     xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
>> (#x4C)
> 
> Since you say that the same Emacs works fine when display is forwarded
> to another machine, I suspect some problem on the X server level.  I
> hope some expert on X (I'm not) will chime in, and find the above
> information useful.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 5 Apr 2011 19:41:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 15:41:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q7C8A-0000lO-Ov
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 15:41:39 -0400
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1Q7C89-0000lC-7H
	for 8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 15:41:37 -0400
Received: from [87.198.55.209] (87-198-55-209.ptr.magnet.ie [87.198.55.209])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 033856848B;
	Tue,  5 Apr 2011 20:41:29 +0100 (IST)
Message-ID: <4D9B7068.3000002@HIDDEN>
Date: Tue, 05 Apr 2011 20:41:28 +0100
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.1.16) Gecko/20110307 Icedove/3.0.11
MIME-Version: 1.0
To: matthew@HIDDEN
Subject: Re: bug#8426: Glyph and cursor problem with emacs
References: <4D9AE9A6.2010401@HIDDEN>
In-Reply-To: <4D9AE9A6.2010401@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 8426
Cc: 8426 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 05/04/11 11:06, Matthew Carey wrote:

> My other box with the same OS and architecture does not exhibit the problem.

The exact same architecture?  Particularly, same gfx card and same 
version of said driver for said card, with same xorg.conf config 
options?  It's just the perennially annoying closed x11 drivers for 
ati/amd and nvidia hardware often have bizarre 2D drawing glitches, and 
they can be dependent on the precise version, configuration options 
(like which AccelMethod is in use) and whether compositing is enabled 
[1][2] (in contrast, the open drivers are typically slow for 3D but 
really good for 2D)

> 2 No other applications seem to be affected this way on the box.

That _could_ be just luck / the subset of apps used by the driver 
authors for testing coinciding with yours.  Emacs handles its own 
drawing to the main window with direct xlib calls, and may do things 
legally but still differently to some other apps.

> If I use the same emacs installation forwarding X output to another machine it
> works fine.

Well, as Eli points out, that does strongly suggest it's an X server 
level problem, not an emacs problem.  If it were, say, some call to 
XFillRectangle being misplaced in the emacs binary you'd expect it to 
occur on all X servers you tried.

The chances of DejaVu Sans Mono metrics being messed up seem slim, and 
also xft/xrender based font rendering, unlike the old core x11 
server-side font rendering, uses client-side tesselation to trapezoids 
and you say the same emacs works on another x11 server, so that's not 
the problem. While it's been actively developed (descended from 
Bitstream Vera) and therefore there are different versions of it 
floating about, it's an extremely widely used font, and the one I use 
with emacs with no such problems.

[1] http://ati.cchtml.com/
[2] 
https://wiki.archlinux.org/index.php/ATI_Catalyst#Catalyst_10.6.2F10.7.2F10.8.2F10.9_:_black.2Fgrey.2Fwhite_boxes.2Fartifacts_in_firefox.2Fthunderbird




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 5 Apr 2011 17:20:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 13:20:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q79vq-00069V-Ej
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 13:20:46 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Q79vm-00069F-Rb
	for 8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 13:20:44 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0LJ600A00W5RTA00@HIDDEN> for
	8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 20:20:36 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.47.180]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LJ60064FW6AP821@HIDDEN>;
	Tue, 05 Apr 2011 20:20:36 +0300 (IDT)
Date: Tue, 05 Apr 2011 20:20:42 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8426: Glyph and cursor problem with emacs
In-reply-to: <4D9B4CA2.2040109@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: matthew@HIDDEN
Message-id: <83r59gvclx.fsf@HIDDEN>
References: <4D9AE9A6.2010401@HIDDEN> <83sjtwvdo8.fsf@HIDDEN>
	<4D9B4CA2.2040109@HIDDEN>
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 8426
Cc: 8426 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Tue, 05 Apr 2011 18:08:50 +0100
> From: Matthew Carey <matthew@HIDDEN>
> CC: 8426 <at> debbugs.gnu.org
> 
> This is the output of C-u C-x =
> 
>         character: i (105, #o151, #x69)
> preferred charset: ascii (ASCII (ISO646 IRV))
>        code point: 0x69
>            syntax: w 	which means: word
>          category: .:Base, a:ASCII, l:Latin, r:Roman
>       buffer code: #x69
>         file code: #x69 (encoded by coding system undecided-unix)
>           display: by this font (glyph code)
>     xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
> (#x4C)

Since you say that the same Emacs works fine when display is forwarded
to another machine, I suspect some problem on the X server level.  I
hope some expert on X (I'm not) will chime in, and find the above
information useful.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 5 Apr 2011 17:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 13:10:20 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q79lj-0005vC-P4
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 13:10:20 -0400
Received: from igw.ssl.co.uk ([93.97.178.178])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <matthew@HIDDEN>) id 1Q79kN-0005so-CQ
	for 8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 13:09:00 -0400
Received: from windy.internal (windy.internal [172.25.0.122])
	by igw.ssl.co.uk (8.14.4/8.14.4) with ESMTP id p35H8n4a015998;
	Tue, 5 Apr 2011 18:08:49 +0100
Received: from [172.25.1.40] (sredni-vashtar [172.25.1.40])
	by windy.internal (8.13.8/8.13.8) with ESMTP id p35H8m4i007632;
	Tue, 5 Apr 2011 18:08:48 +0100
Message-ID: <4D9B4CA2.2040109@HIDDEN>
Date: Tue, 05 Apr 2011 18:08:50 +0100
From: Matthew Carey <matthew@HIDDEN>
Organization: System Simulation Ltd
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB;
	rv:1.9.2.14) Gecko/20110221 SUSE/3.1.8 Thunderbird/3.1.8
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8426: Glyph and cursor problem with emacs
References: <4D9AE9A6.2010401@HIDDEN> <83sjtwvdo8.fsf@HIDDEN>
In-Reply-To: <83sjtwvdo8.fsf@HIDDEN>
X-Enigmail-Version: 1.1.2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 8426
X-Mailman-Approved-At: Tue, 05 Apr 2011 13:10:19 -0400
Cc: 8426 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: matthew@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

Thanks for coming back to me so promptly

The yellow is the selection and it should not hug the glyphs, but that is a less
horrible symptom than the ghost characters.

This is the output of C-u C-x =

        character: i (105, #o151, #x69)
preferred charset: ascii (ASCII (ISO646 IRV))
       code point: 0x69
           syntax: w 	which means: word
         category: .:Base, a:ASCII, l:Latin, r:Roman
      buffer code: #x69
        file code: #x69 (encoded by coding system undecided-unix)
          display: by this font (glyph code)
    xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
(#x4C)

Character code properties: customize what to show
  name: LATIN SMALL LETTER I
  general-category: Ll (Letter, Lowercase)

There are text properties here:
  fontified            t


And no I would not expect Emacs to cope with broken fonts, unfortunately which
ever font a change to I get the same problem.

On 05/04/11 17:57, Eli Zaretskii wrote:
>> Date: Tue, 05 Apr 2011 11:06:30 +0100
>> From: Matthew Carey <matthew@HIDDEN>
>> Cc: 
>>
>> I attach an image to make the point clear.
> 
> Is that image after selecting the whole buffer, or is yellow the
> default background on that frame?
> 
> Also, what font is being used here?  You can see that by going to some
> of the characters and typing "C-u C-x =": Emacs will pop up a buffer
> which shows, among other things, what font is being used to display
> that character.
> 
>> 1 No matter how many fonts I install emacs should be able to cope.
> 
> Not if you install broken fonts, which, e.g., lie to Emacs about the
> character dimensions.  (I'm not saying this is what happened, but just
> don't expect Emacs to "cope" with bad fonts.)





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at 8426 <at> debbugs.gnu.org:


Received: (at 8426) by debbugs.gnu.org; 5 Apr 2011 16:57:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 12:57:49 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q79Zd-0005dD-4N
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 12:57:49 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Q79Za-0005d0-EN
	for 8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 12:57:47 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0LJ600A00V1NM500@HIDDEN> for
	8426 <at> debbugs.gnu.org; Tue, 05 Apr 2011 19:57:37 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.47.180]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LJ6008X9V3ZFAJ0@HIDDEN>;
	Tue, 05 Apr 2011 19:57:37 +0300 (IDT)
Date: Tue, 05 Apr 2011 19:57:43 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8426: Glyph and cursor problem with emacs
In-reply-to: <4D9AE9A6.2010401@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: matthew@HIDDEN
Message-id: <83sjtwvdo8.fsf@HIDDEN>
References: <4D9AE9A6.2010401@HIDDEN>
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 8426
Cc: 8426 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> Date: Tue, 05 Apr 2011 11:06:30 +0100
> From: Matthew Carey <matthew@HIDDEN>
> Cc: 
> 
> I attach an image to make the point clear.

Is that image after selecting the whole buffer, or is yellow the
default background on that frame?

Also, what font is being used here?  You can see that by going to some
of the characters and typing "C-u C-x =": Emacs will pop up a buffer
which shows, among other things, what font is being used to display
that character.

> 1 No matter how many fonts I install emacs should be able to cope.

Not if you install broken fonts, which, e.g., lie to Emacs about the
character dimensions.  (I'm not saying this is what happened, but just
don't expect Emacs to "cope" with bad fonts.)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Apr 2011 10:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 06:40:06 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q73g6-00051Z-5Z
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 06:40:06 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <matthew@HIDDEN>) id 1Q739r-0004GK-4a
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 06:06:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1Q739k-0002wY-Mb
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 06:06:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:55669)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1Q739k-0002wS-08
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2011 06:06:40 -0400
Received: from [140.186.70.92] (port=57637 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q739h-000391-H9
	for bug-gnu-emacs@HIDDEN; Tue, 05 Apr 2011 06:06:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1Q739c-0002ug-UG
	for bug-gnu-emacs@HIDDEN; Tue, 05 Apr 2011 06:06:37 -0400
Received: from igw.ssl.co.uk ([93.97.178.178]:34509)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <matthew@HIDDEN>) id 1Q739c-0002sg-9E
	for bug-gnu-emacs@HIDDEN; Tue, 05 Apr 2011 06:06:32 -0400
Received: from windy.internal (windy.internal [172.25.0.122])
	by igw.ssl.co.uk (8.14.4/8.14.4) with ESMTP id p35A6Te6013336
	for <bug-gnu-emacs@HIDDEN>; Tue, 5 Apr 2011 11:06:29 +0100
Received: from [172.25.1.40] (sredni-vashtar [172.25.1.40])
	by windy.internal (8.13.8/8.13.8) with ESMTP id p35A6TNA006250
	for <bug-gnu-emacs@HIDDEN>; Tue, 5 Apr 2011 11:06:29 +0100
Message-ID: <4D9AE9A6.2010401@HIDDEN>
Date: Tue, 05 Apr 2011 11:06:30 +0100
From: Matthew Carey <matthew@HIDDEN>
Organization: System Simulation Ltd
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB;
	rv:1.9.2.14) Gecko/20110221 SUSE/3.1.8 Thunderbird/3.1.8
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Glyph and cursor problem with emacs
X-Enigmail-Version: 1.1.2
Content-Type: multipart/mixed; boundary="------------010609090007010107030005"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 05 Apr 2011 06:25:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: matthew@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

This is a multi-part message in MIME format.
--------------010609090007010107030005
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

GNU Emacs 23.2.1 (x86_64-suse-linux-gnu, GTK+ Version 2.22.1)
 of 2011-02-22 on build34

SuSE Linux 11.4
KDE 4

Now I think this is a side effect of me installing too many fonts on this box
but I cannot see how to get out of it.

The selection of characters by the cursor is no longer rectangular but seeks to
match the glyph forms. When I edit I get ghosts of previous characters sitting
on the screen until I do a page up page down to refresh the screen.

The latter is what makes emacs impossible to use as I cannot distinguish between
the ghost characters and the real ones and the cursor location is not obvious.

My other box with the same OS and architecture does not exhibit the problem.

I attach an image to make the point clear.

1 No matter how many fonts I install emacs should be able to cope.
2 No other applications seem to be affected this way on the box.

I have tried removing clearing my .emacs file and changing .fonts.config.

If I use the same emacs installation forwarding X output to another machine it
works fine.

--------------010609090007010107030005
Content-Type: image/jpeg;
 name="emacs_prob.jpg"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="emacs_prob.jpg"
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=
--------------010609090007010107030005--




Acknowledgement sent to matthew@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8426; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.